summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2014-06-30 09:34:33 (GMT)
committer Jaromil <jaromil@dyne.org>2014-06-30 09:34:33 (GMT)
commitaf9cb8c27453af49a71c3c8ed482bf7ee3ca0758 (patch)
tree9a818b131561aee4582daf534bfc04155785a17a
parent6a82346e36d2cab88cf338b66e4a44100e6cfa68 (diff)
build crypto tools
-rw-r--r--build/crypto/Sources14
-rw-r--r--build/crypto/conf.zsh43
2 files changed, 57 insertions, 0 deletions
diff --git a/build/crypto/Sources b/build/crypto/Sources
new file mode 100644
index 0000000..0abb1f1
--- /dev/null
+++ b/build/crypto/Sources
@@ -0,0 +1,14 @@
+# gnutls
+gmp -5.1.3 .tar.lz http://gmplib.org
+nettle -2.7.1 .tar.gz http://www.lysator.liu.se/~nisse/nettle
+libidn -1.28 .tar.gz http://www.gnu.org/software/libidn
+gnutls -3.1.16 .tar.xz
+
+# gcrypt
+libgpg-error -1.12 .tar.bz2 http://www.gnupg.org
+libgcrypt -1.5.3 .tar.gz http://www.gnu.org/software/libgcrypt/
+
+# gnupg
+gnupg -1.4.15 .tar.bz2 http://gnupg.org
+pinentry -0.8.3 .tar.bz2
+
diff --git a/build/crypto/conf.zsh b/build/crypto/conf.zsh
new file mode 100644
index 0000000..b86c2bf
--- /dev/null
+++ b/build/crypto/conf.zsh
@@ -0,0 +1,43 @@
+prepare_sources
+
+# gnuTLS
+
+compile gmp default
+zinstall gmp
+
+compile nettle default "--disable-shared --enable-static --disable-assembler"
+zinstall nettle
+
+compile libidn default
+zinstall libidn
+
+{ test -r gnutls.done } || {
+notice "Building GNUtls"
+pushd gnutls
+zconfigure default "--disable-shared --enable-static --disable-crywrap --without-p11-kit"
+zmake -C lib
+{ test $? = 0 } && { touch ../gnutls.done }
+popd }
+{ test -r gnutls.installed } || {
+pushd gnutls
+zmake -C lib install
+touch ../gnutls.installed
+notice "GNUtls libraries correctly built and installed"
+popd
+}
+
+compile libgpg-error default
+zinstall libgpg-error
+
+compile libgcrypt default
+zinstall libgcrypt
+
+
+compile pinentry default "--disable-pinentry-gtk --disable-pinentry-gtk2 --disable-pinentry-qt --disable-pinentry-qt4"
+zinstall pinentry
+
+
+compile gnupg default
+zinstall gnupg
+
+